cURL
curl --request GET \
--url https://api.mottostreaming.com/ott/pages/v1 \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.mottostreaming.com/ott/pages/v1"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.mottostreaming.com/ott/pages/v1', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"pages": [
{
"id": "<string>",
"project_id": "<string>",
"name": "<string>",
"title": {},
"description": {},
"parameters": [
"<string>"
],
"page_component_ids": [
"<string>"
],
"css": "<string>",
"platform_id": "<string>",
"metadata_tags": {},
"overrides": {},
"page_components": [
{
"project_id": "<string>",
"id": "<string>",
"name": "<string>",
"type": "<string>",
"data": {},
"props": {},
"environments": [
"<string>"
],
"group_id": "<string>",
"css_classes": [
"<string>"
]
}
],
"is_preview": true,
"source_page_id": "<string>",
"redirects": [
{
"url": "<string>",
"conditions": [
{
"authentication": {},
"geolocation": {
"on_countries": {
"country_codes": [
"<string>"
]
},
"except_countries": {
"country_codes": [
"<string>"
]
}
},
"entitlement": {
"entitled_to": {
"offer_ids": [
"<string>"
]
},
"not_entitled_to": {
"offer_ids": [
"<string>"
]
}
}
}
]
}
]
}
],
"next_page_token": "<string>"
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Pages
List pages
ListPages
Returns list of pages based on specified parameters.
GET
/
ott
/
pages
/
v1
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Maximum number of records to return
Filter the result-set by properties using a subset of the Kibana Query Language. This currently supports queries based on:
platform_id, e.g.platform_id:Zidfx48am194page_type, e.g.page_type:eventhas_banner_collection_id, e.g.has_banner_collection_id:homepage-> this query would return all pages that have a page component that links to the banner collection with IDhomepage.
The pagination token in the List request.
⌘I

